Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 614289 - ACPI freezes Biostar TF520-A2 motherboard
ACPI freezes Biostar TF520-A2 motherboard
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
13
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-13 23:12 EDT by Andrew Robinson
Modified: 2011-06-29 09:34 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-29 09:34:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg logs from kernel options recorded in the grub.conf (123.26 KB, application/x-gzip)
2010-07-13 23:12 EDT, Andrew Robinson
no flags Details
Messages logs from kenel options experiements (194.59 KB, application/x-gzip)
2010-07-13 23:15 EDT, Andrew Robinson
no flags Details

  None (edit)
Description Andrew Robinson 2010-07-13 23:12:42 EDT
Created attachment 431659 [details]
dmesg logs from kernel options recorded in the grub.conf

Description of problem: Installed Fedora 13 on a desktop PC with a Biostar TF520-A2 motherboard. After minutes to hours the computer will freeze or reset. A response to my query on the Fedora Users list pointed me to the Fedora KernelCommonProblems doc. Experimenting with kernel options, I found that if I turned acpi off, the computer ran for as long as I let it. I tried all the kernel options suggested in the document and recorded the results in the following grub.conf. The freezing/crashing occurred with all but two of the options, acpi=off and clocksource=jiffies.

title Fedora 13 (original) --crashed-- (2.6.33.6-147.fc13.i686.PAE)
	root (hd0,0)
	kernel /vmlinuz-2.6.33.6-147.fc13.i686.PAE ro root=/dev/mapper/vg00-root1 rd_LVM_LV=vg00/root1 rd_NO_LUKS rd_NO_MD rd_NO_DM LANG=en_US.UTF-8 SYSFONT=latarcyrheb-sun16 KEYTABLE=us nouveau.modeset=0 rdblacklist=nouveau debug nmi_watchdog=2
	initrd /initramfs-2.6.33.6-147.fc13.i686.PAE.img

title Fedora 13 acpi=off --works-- (2.6.33.6-147.fc13.i686.PAE)
	root (hd0,0)
	kernel /vmlinuz-2.6.33.6-147.fc13.i686.PAE ro root=/dev/mapper/vg00-root1 rd_LVM_LV=vg00/root1 rd_NO_LUKS rd_NO_MD rd_NO_DM LANG=en_US.UTF-8 SYSFONT=latarcyrheb-sun16 KEYTABLE=us nouveau.modeset=0 rdblacklist=nouveau debug nmi_watchdog=2 acpi=off
	initrd /initramfs-2.6.33.6-147.fc13.i686.PAE.img

title Fedora 13 pci=noacpi --froze-- (2.6.33.6-147.fc13.i686.PAE)
	root (hd0,0)
	kernel /vmlinuz-2.6.33.6-147.fc13.i686.PAE ro root=/dev/mapper/vg00-root1 rd_LVM_LV=vg00/root1 rd_NO_LUKS rd_NO_MD rd_NO_DM LANG=en_US.UTF-8 SYSFONT=latarcyrheb-sun16 KEYTABLE=us nouveau.modeset=0 rdblacklist=nouveau debug nmi_watchdog=2 pci=noacpi
	initrd /initramfs-2.6.33.6-147.fc13.i686.PAE.img

title Fedora 13 nolapic --froze-- (2.6.33.6-147.fc13.i686.PAE)
	root (hd0,0)
	kernel /vmlinuz-2.6.33.6-147.fc13.i686.PAE ro root=/dev/mapper/vg00-root1 rd_LVM_LV=vg00/root1 rd_NO_LUKS rd_NO_MD rd_NO_DM LANG=en_US.UTF-8 SYSFONT=latarcyrheb-sun16 KEYTABLE=us nouveau.modeset=0 rdblacklist=nouveau debug nmi_watchdog=2 nolapic
	initrd /initramfs-2.6.33.6-147.fc13.i686.PAE.img

title Fedora 13 noapic --froze-- (2.6.33.6-147.fc13.i686.PAE)
	root (hd0,0)
	kernel /vmlinuz-2.6.33.6-147.fc13.i686.PAE ro root=/dev/mapper/vg00-root1 rd_LVM_LV=vg00/root1 rd_NO_LUKS rd_NO_MD rd_NO_DM LANG=en_US.UTF-8 SYSFONT=latarcyrheb-sun16 KEYTABLE=us nouveau.modeset=0 rdblacklist=nouveau debug nmi_watchdog=2 noapic
	initrd /initramfs-2.6.33.6-147.fc13.i686.PAE.img

title Fedora 13 nolapic_timer --froze-- (2.6.33.6-147.fc13.i686.PAE)
	root (hd0,0)
	kernel /vmlinuz-2.6.33.6-147.fc13.i686.PAE ro root=/dev/mapper/vg00-root1 rd_LVM_LV=vg00/root1 rd_NO_LUKS rd_NO_MD rd_NO_DM LANG=en_US.UTF-8 SYSFONT=latarcyrheb-sun16 KEYTABLE=us nouveau.modeset=0 rdblacklist=nouveau debug nmi_watchdog=2 nolapic_timer
	initrd /initramfs-2.6.33.6-147.fc13.i686.PAE.img

title Fedora 13 nohz=off --froze-- (2.6.33.6-147.fc13.i686.PAE)
	root (hd0,0)
	kernel /vmlinuz-2.6.33.6-147.fc13.i686.PAE ro root=/dev/mapper/vg00-root1 rd_LVM_LV=vg00/root1 rd_NO_LUKS rd_NO_MD rd_NO_DM LANG=en_US.UTF-8 SYSFONT=latarcyrheb-sun16 KEYTABLE=us nouveau.modeset=0 rdblacklist=nouveau debug nmi_watchdog=2 nohz=off
	initrd /initramfs-2.6.33.6-147.fc13.i686.PAE.img

title Fedora 13 highres=off --froze-- (2.6.33.6-147.fc13.i686.PAE)
	root (hd0,0)
	kernel /vmlinuz-2.6.33.6-147.fc13.i686.PAE ro root=/dev/mapper/vg00-root1 rd_LVM_LV=vg00/root1 rd_NO_LUKS rd_NO_MD rd_NO_DM LANG=en_US.UTF-8 SYSFONT=latarcyrheb-sun16 KEYTABLE=us nouveau.modeset=0 rdblacklist=nouveau debug nmi_watchdog=2 highres=off
	initrd /initramfs-2.6.33.6-147.fc13.i686.PAE.img

title Fedora 13 nohz=off highres=off --froze-- (2.6.33.6-147.fc13.i686.PAE)
	root (hd0,0)
	kernel /vmlinuz-2.6.33.6-147.fc13.i686.PAE ro root=/dev/mapper/vg00-root1 rd_LVM_LV=vg00/root1 rd_NO_LUKS rd_NO_MD rd_NO_DM LANG=en_US.UTF-8 SYSFONT=latarcyrheb-sun16 KEYTABLE=us nouveau.modeset=0 rdblacklist=nouveau debug nmi_watchdog=2 nohz=off highres=off
	initrd /initramfs-2.6.33.6-147.fc13.i686.PAE.img

title Fedora 13 clocksource=acpi_pm --froze-- (2.6.33.6-147.fc13.i686.PAE)
	root (hd0,0)
	kernel /vmlinuz-2.6.33.6-147.fc13.i686.PAE ro root=/dev/mapper/vg00-root1 rd_LVM_LV=vg00/root1 rd_NO_LUKS rd_NO_MD rd_NO_DM LANG=en_US.UTF-8 SYSFONT=latarcyrheb-sun16 KEYTABLE=us nouveau.modeset=0 rdblacklist=nouveau debug nmi_watchdog=2 clocksource=acpi_pm
	initrd /initramfs-2.6.33.6-147.fc13.i686.PAE.img

title Fedora 13 nohz=off highres=off clocksource=acpi_pm --froze-- (2.6.33.6-147.fc13.i686.PAE)
	root (hd0,0)
	kernel /vmlinuz-2.6.33.6-147.fc13.i686.PAE ro root=/dev/mapper/vg00-root1 rd_LVM_LV=vg00/root1 rd_NO_LUKS rd_NO_MD rd_NO_DM LANG=en_US.UTF-8 SYSFONT=latarcyrheb-sun16 KEYTABLE=us nouveau.modeset=0 rdblacklist=nouveau debug nmi_watchdog=2 nohz=off highres=off clocksource=acpi_pm
	initrd /initramfs-2.6.33.6-147.fc13.i686.PAE.img

title Fedora 13 clocksource=jiffies --works-- (2.6.33.6-147.fc13.i686.PAE)
	root (hd0,0)
	kernel /vmlinuz-2.6.33.6-147.fc13.i686.PAE ro root=/dev/mapper/vg00-root1 rd_LVM_LV=vg00/root1 rd_NO_LUKS rd_NO_MD rd_NO_DM LANG=en_US.UTF-8 SYSFONT=latarcyrheb-sun16 KEYTABLE=us nouveau.modeset=0 rdblacklist=nouveau debug nmi_watchdog=2 clocksource=jiffies
	initrd /initramfs-2.6.33.6-147.fc13.i686.PAE.img


This is the hardware list for the system collected by the firstboot app:


General
=================================
UUID: 2451907c-627c-4ab1-8378-17f66822e42b
OS: Fedora release 13 (Goddard)
Default run level: 5
Language: en_US.UTF-8
Platform: i686
BogoMIPS: 4419.44
CPU Vendor: AuthenticAMD
CPU Model: AMD Athlon(tm) 64 X2 Dual Core Processor 4200+
CPU Stepping: 2
CPU Family: 15
CPU Model Num: 107
Number of CPUs: 2
CPU Speed: 2209
System Memory: 6043
System Swap: 12299
Vendor: BIOSTAR Group
System: TF520-A2 1.0
Form factor: desktop
Kernel: 2.6.33.6-147.fc13.i686.PAE
SELinux Enabled: 1
SELinux Policy: targeted
SELinux Enforce: Permissive


Devices
=================================
(None:None:None:None) platform, i8042, None, Platform Device (i8042)
(None:None:None:None) platform, Unknown, None, Platform Device (pcspkr)
(None:None:None:None) platform, rtc_cmos, None, Platform Device (rtc_cmos)
(None:None:None:None) input, Unknown, MOUSE, Macintosh mouse button emulation
(None:None:None:None) scsi_host, Unknown, None, SCSI Host Adapter
(None:None:None:None) scsi_host, Unknown, None, SCSI Host Adapter
(4318:1089:5477:13320) pci, Unknown, OTHER, MCP65 LPC Bridge
(4318:1113:4318:0) pci, pcieport, OTHER, MCP65 PCI Express bridge
(4318:1112:4318:0) pci, pcieport, OTHER, MCP65 PCI Express bridge
(4318:1108:5477:13320) pci, ohci_hcd, USB, MCP65 USB Controller
(4318:1094:5477:13320) pci, nForce2_smbus, OTHER, MCP65 SMBus
(None:None:None:None) tty, Unknown, None, Platform Device (serial8250)
(4130:4353:0:0) pci, Unknown, OTHER, K8 [Athlon64/Opteron] Address Map
(4318:1092:4318:52100) pci, Unknown, OTHER, MCP65 Memory Controller
(None:None:None:None) net, Unknown, NETWORK, Loopback device Interface
(4318:1098:5477:33292) pci, HDA Intel, AUDIO, MCP65 High Definition Audio
(None:None:None:None) scsi_host, Unknown, None, SCSI Host Adapter
(None:None:None:None) platform, Unknown, None, Platform Device (vesafb.0)
(None:None:None:None) serio, psmouse, None, i8042 AUX port
(None:None:None:None) platform, serial8250, None, Platform Device (serial8250)
(4130:4354:0:0) pci, Unknown, OTHER, K8 [Athlon64/Opteron] DRAM Controller
(None:None:None:None) net, Unknown, NETWORK, Networking Interface
(None:None:None:None) serio, atkbd, None, i8042 KBD port
(None:None:None:None) scsi_generic, Unknown, None, SCSI Generic Interface
(4318:1117:5477:21510) pci, ahci, IDE, MCP65 SATA Controller
(None:None:None:None) scsi_host, Unknown, None, SCSI Host Adapter
(None:None:None:None) input, Unknown, KEYBOARD, AT Translated Set 2 keyboard
(None:None:None:None) scsi, sd, None, SCSI Device
(None:None:None:None) scsi_host, Unknown, None, SCSI Host Adapter
(4318:1093:5477:13320) pci, Unknown, OTHER, MCP65 Memory Controller
(None:None:None:None) scsi, sr, None, SCSI Device
(4130:4352:0:0) pci, Unknown, OTHER, K8 [Athlon64/Opteron] HyperTransport Technology Configuration
(4318:1096:5477:13320) pci, pata_amd, IDE, MCP65 IDE
(4318:1097:4318:52100) pci, Unknown, OTHER, MCP65 PCI bridge
(4318:1058:5218:1856) pci, nvidia, VIDEO, G86 [GeForce 8400 GS]
(4318:1115:4318:0) pci, pcieport, OTHER, Unknown (0x045b)
(4318:1114:4318:0) pci, pcieport, OTHER, MCP65 PCI Express bridge
(None:None:None:None) scsi_host, Unknown, None, SCSI Host Adapter
(None:None:None:None) input, Unknown, MOUSE, ImPS/2 Logitech Wheel Mouse
(None:None:None:None) scsi_generic, Unknown, None, SCSI Generic Interface
(None:None:None:None) scsi_host, Unknown, None, SCSI Host Adapter
(None:None:None:None) scsi_host, Unknown, None, SCSI Host Adapter
(4130:4355:0:0) pci, k8temp, OTHER, K8 [Athlon64/Opteron] Miscellaneous Control
(None:None:None:None) platform, Unknown, None, Platform Device (microcode)
(4318:1109:5477:13320) pci, ehci_hcd, USB, MCP65 USB Controller
(4332:33129:4332:33129) pci, r8169, NETWORK, RTL-8169 Gigabit Ethernet
(None:None:None:None) platform, Unknown, None, Platform Device (Fixed MDIO bus.0)


Filesystem Information
=================================
device mtpt type bsize frsize blocks bfree bavail file ffree favail
-------------------------------------------------------------------
/dev/mapper/vg00-root1 / ext4 4096 4096 5160607 3314485 3052341 1310720 1015212 1015212
/dev/sda1 /boot ext4 1024 1024 108865 85990 80369 28112 28076 28076
/dev/sda2 WITHHELD ext4 1024 1024 108883 86103 80481 28224 28188 28188
/dev/mapper/vg00-root2 WITHHELD ext4 4096 4096 5160607 3310601 3048457 1310720 1000489 1000489

I have attached the dmesg logs from each scenario listed in the grub.conf.

Before I was referred to the CommonKernelProblems doc, I tried installing Fedora 12. I found the same behaviour there. I tried the same kernel options tests in Fedora 12, I found the same results, that all options but acpi=off and clocksource=jiffies led to the computer freezing. This suggests that the problem is not new to Fedora 13. Before that I tried with Gnome, KDE, and init 3. I didn't know to try kernel options with those, but the computer inevitably froze. I installed Fedora 13 from the netinstall CD. 


How reproducible: Boot up Fedora 13 


Steps to Reproduce:
1. Boot up Fedora 13
2. Wait
3. When the computer screen stops updating, test with the cap locks key
  
Actual results: Computer freezes or reboots itself.

Expected results: Computer runs without freezing or rebooting itself

If there are other tests I could run that would help find a solution, I would be happy to do so.

Questions: What capabilities do I lose with the acpi=off or clocksource=jiffies options? Is one preferable to the other?

Thanks!

Andrew Robinson
Comment 1 Andrew Robinson 2010-07-13 23:15:45 EDT
Created attachment 431661 [details]
Messages logs from kenel options experiements
Comment 2 Chuck Ebbert 2010-07-14 04:44:42 EDT
(In reply to comment #2)
> Questions: What capabilities do I lose with the acpi=off or clocksource=jiffies
> options? Is one preferable to the other?
> 

You never want to disable ACPI except as a test to see if it makes the kernel boot, so clocksource=jiffies is preferred.
Comment 3 Bug Zapper 2011-06-01 09:58:24 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2011-06-29 09:34:08 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.